Bug 99798

Summary: print/cups-base makes symbolic links without entity
Product: Ports & Packages Reporter: TsurutaniNaoki
Component: Individual Port(s)Assignee: Ion-Mihai "IOnut" Tetcu <itetcu>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description TsurutaniNaoki 2006-07-05 06:40:14 UTC
	print/cups-base installs ${PREFIX}/man/man8/reject.8 and
	 ${PREFIX}/man/man8/cupsdisable.8, both as symbolic link file.
	but their entity do not exist.

Fix: 

link should be done to compressed man file if the target is compressed.
	this can often happen.
	add next patches:
	--- Makefile.orig	Fri Jun 30 04:32:04 2006
	+++ Makefile	Wed Jul  5 14:07:01 2006
	@@ -129,6 +129,9 @@
	 	lpmove.$(MAN8EXT) \
	 	lpc.$(MAN8EXT) \
	 
	+MLINKS=	cupsenable.$(MAN8EXT) cupsdisable.$(MAN8EXT) \
	+	accept.$(MAN8EXT) reject.$(MAN8EXT)
	+
	 pre-configure::
	 	@${ECHO_MSG} Configuring CUPS with options:
	 	@${ECHO_MSG} ${CONFIGURE_ARGS} | fmt
	--- pkg-plist.orig	Fri Jun 30 04:32:05 2006
	+++ pkg-plist	Wed Jul  5 13:05:19 2006
	@@ -43,9 +43,6 @@
	 lib/libcups.so.2
	 lib/libcupsimage.so
	 lib/libcupsimage.so.2
	-@comment Put man links here
	-man/man8/reject.8
	-man/man8/cupsdisable.8
	 sbin/cupsdisable
	 sbin/cupsenable
	 sbin/reject

	and use next patch file as files/patch-man-Makefile:
	--- Makefile.orig	Mon May  1 01:27:50 2006
	+++ Makefile	Wed Jul  5 13:04:49 2006
	@@ -124,10 +124,10 @@
	 		echo Installing $$file in $(AMANDIR)/man$(MAN8DIR)...; \
	 		$(INSTALL_MAN) $$file $(AMANDIR)/man$(MAN8DIR); \
	 	done
	-	$(RM) $(AMANDIR)/man$(MAN8DIR)/reject.$(MAN8EXT)
	-	$(LN) accept.$(MAN8EXT) $(AMANDIR)/man$(MAN8DIR)/reject.$(MAN8EXT)
	-	$(RM) $(AMANDIR)/man$(MAN8DIR)/cupsdisable.$(MAN8EXT)
	-	$(LN) cupsenable.$(MAN8EXT) $(AMANDIR)/man$(MAN8DIR)/cupsdisable.$(MAN8EXT)
	+#	$(RM) $(AMANDIR)/man$(MAN8DIR)/reject.$(MAN8EXT)
	+#	$(LN) accept.$(MAN8EXT) $(AMANDIR)/man$(MAN8DIR)/reject.$(MAN8EXT)
	+#	$(RM) $(AMANDIR)/man$(MAN8DIR)/cupsdisable.$(MAN8EXT)
	+#	$(LN) cupsenable.$(MAN8EXT) $(AMANDIR)/man$(MAN8DIR)/cupsdisable.$(MAN8EXT)
	 
	 
	 #
	@@ -150,8 +150,8 @@
	 	for file in $(MAN8); do \
	 		$(RM) $(AMANDIR)/man$(MAN8DIR)/$$file; \
	 	done
	-	$(RM) $(AMANDIR)/man$(MAN8DIR)/reject.$(MAN8EXT)
	-	$(RM) $(AMANDIR)/man$(MAN8DIR)/cupsdisable.$(MAN8EXT)
	+#	$(RM) $(AMANDIR)/man$(MAN8DIR)/reject.$(MAN8EXT)
	+#	$(RM) $(AMANDIR)/man$(MAN8DIR)/cupsdisable.$(MAN8EXT)
	 	-$(RMDIR) $(AMANDIR)/man$(MAN8DIR)
How-To-Repeat: 	% cd /usr/ports/print/cups-base
	% make install
Comment 1 Edwin Groothuis freebsd_committer 2006-07-05 06:40:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-06 06:58:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Take all cups PRs.
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-07 21:27:54 UTC
State Changed
From-To: feedback->patched

Should be fixed by patch in ports/99624
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-06 10:16:31 UTC
State Changed
From-To: patched->closed

Update to 1.2.2 and many fixes commiter. If problems perssist please 
open a new PR. Thanks for your effort.